<?php
	session_start();
	include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
	include("phpmnu_fun.php");
	if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------++
	//$StrONE=trim(V($_GET['CmdB']));	
	//-------------------------
	$StrCod=V($_POST['TxtCod']);		
	$StrLin=V($_POST['CboLin']);
	$StrDes=V($_POST['TxtDes']);
	$StrMar=V($_POST['CboMar']);
	$Fab=V($_POST['Fab']);
	$Mod=V($_POST['Mod']);
	$Fab_=LIKE($Fab);
	$Mod_=LIKE($Mod);
	//
	if($StrCmd=="X" || strlen($StrCmd)==0){
		$StrLin="TODOS";
		$StrMar="TODOS";		
	}
	//-------------------------
	$StrCodT=$StrCod."%";
	$StrLinT=$StrLin;
	if(($StrLinT)=="TODOS") $StrLinT="%";
	$StrDesT="%".$StrDes."%";
	$StrMarT=$StrMar;
	if(($StrMarT)=="TODOS") $StrMarT="%";
	//
	$FF="ID>0 AND COD LIKE '$StrCodT' 
		 AND LINEA LIKE '$StrLinT' 
		 AND DESCRIPCION LIKE '$StrDesT' 
		 AND MARCA LIKE '$StrMarT' 
		 AND FAB LIKE '$Fab_' 
		 AND MODELO LIKE '$Mod_' ";
	//	
	$LStrTR=gn("count(*)","vproductos",$FF);
	$LStrPag=V($_POST['TxtPag']);	
	if($StrCmd=="F"){$LStrPag="1";}
	$VP_RegXPag=100;	
	$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
	
$IdUsu=$_SESSION['SYS_USER_ID'];
$AT=gs("at","usuarios","id_usuario=$IdUsu");
?>
<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Reporte de productos</title>
<!----------------------------------------->
<?php AddJs(); ?>
<script type="text/javascript" src="ja/funciones.js"></script>

<!----------------------------------------->
<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />
<link rel="stylesheet" type="text/css" href="css/mnu.css"  />
<!----------------------------------------->
<style type="text/css">
.tableFixHead          { overflow-y: auto; }
.tableFixHead thead th { position: sticky; top: 0; }

table  {border-collapse:collapse;width:100%;}
th, td {padding: 3px 3px;}
th     {background:#666;}

.cF {height:600px;width:1250px;position:relative;top:0px}
.mM {height:34px;width:1250px;position:relative;top:0px;background-color:#09C; z-index:500;}
</style>

<!----------------------------------------->
<script>
$(document).ready(function(){  
   Inicializar();
   jF("TxtCod");
});

function fGenPDF(){	
	document.getElementById("TxtAc").value="GEN_PDF";
	document.getElementById("Frm").submit();
}


$(document).keydown(function(e){
	var AT=gv("TxtAT");

	if(e.which==66 && e.altKey){
		if(AT=="1"){	
		document.getElementById("CmdB").click();
		return;
		}
	}

	if(e.which==86 && e.altKey){
		if(AT=="1"){
		document.getElementById("CmdZ").click();
		return;
		}
	}
  
});
</script>

<!----------------------------------------->
<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<!----------------------------------------->
<body  <?php echo $LStrMsg;?>  >
<div align="center">

<div class="mM" align="left" style="font-size:12px">
<?php
//$HTM=file_get_contents("http://inversionessounduniversal.com/ventas/phpmnu.php?USER_ID=$IdUsu");
echo GEN_MENU(vbval(V($_SESSION['SYS_USER_ID'])));
?>
</div>

<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;" >
<form id="Frm" name="Frm" method="post" 
autocomplete="off"
action="rep_productos.php" 
style="margin:0px; padding:0px; display:inline;" onSubmit="return false;">
<!----------------------------------------->
<div id="DivT" class="dT"  style="width:1250px;">
<img src="b.png" class="iT" />
<div class="tT">REPORTE DE PRODUCTOS</div>
</div>

<!----------------------------------------->

<div class="s1" style="left: 35px; top: 121px; width: 52px;">
CODIGO</div>
<input name="TxtCod" type="text" id="TxtCod" 
class="lt" style="left: 35px; top: 138px; width:140px" 
value="<?php echo $StrCod;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 184px; top: 121px; width: 136px;">TIPO DE PRODUCTO</div>
<select name="CboLin" id="CboLin" 
class="lt" style="left: 184px; top: 138px; width: 177px" 
tabindex="<?php echo ++$TI;?>">
<?php echo FCBO_("lin_nombre","lineas","id_linea>0",$StrLin,"S","");?>
</select>
<div class="s1" style="left: 370px; top: 121px; width: 150px;">
  DESCRIPCION</div>
<input name="TxtDes" type="text" id="TxtDes" 
class="lt" style="left: 370px; top: 138px; width: 515px" 
value="<?php echo $StrDes;?>"  
tabindex="<?php echo ++$TI;?>" />

<div class="s1" style="left: 892px; top: 121px; width: 125px;">
MARCA</div>
<select name="CboMar" id="CboMar" 
class="lt" style="left: 892px; top: 138px; width: 126px" 
tabindex="<?php echo ++$TI;?>">
<?php echo FCBO_("mar_nombre","marcas","id_marca>0",$StrMar,"S","");?>
</select>

<!----------------------------------------->
<div id="DivBtn" align="left" style="position:absolute; left: 35px; top: 71px; width: 551px; height: 26px;">
<input name="CmdB" type="button" id="CmdB" class="btm"
value="Buscar" onClick="fFiltrar();"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="Generar PDF" onClick="fGenPDF();" style="display:none"
tabindex="<?php echo ++$TI;?>" />
</div>

<div  style="position:absolute; top:166px; left:35px; height:27px; background-color:#FFF; width: 1180px;">
<table width="100%" style="font-family:Arial, Helvetica, sans-serif; font-size:11px" border="0">
<tr>
<td align="center">
	<?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?>
</td>
</tr>
</table>
</div> 


<div class="tableFixHead" 
style="position: absolute; left: 35px; top: 197px; width: 1180px; height: 377px; overflow:auto; border:solid 1px #363636">
<table id="Exportar_a_Excel" width="100%" style="font-family:Arial, Helvetica, sans-serif; font-size:11px">
<thead>
<tr>
<th width="147" style="text-align:left; background:#999">CODIGO</th>
<th width="198" style="text-align:left; background:#999"">TIPO DE PRODUCTO</th>
<th width="378" style="text-align:left; background:#999"">DESCRIPCION</th>
<th width="159" style="text-align:left; background:#999"">MARCA</th>
<th width="159" style="text-align:right; background:#999"">PRECIO DE VENTA</th>
</tr>
</thead>
<tbody>
<?php	
$i=0;	  		
$s="SELECT ID,COD,LINEA,DESCRIPCION,MARCA,PXU
	FROM vproductos 
	WHERE $FF ORDER BY DESCRIPCION,MARCA ";
$s=PagSql($s,$LStrPag,$VP_RegXPag,$LStrTR);						
	$result = grs($s);
	while ($row = $result->fetch_row()){
	$i++;
	$CSS="";
	if($i%2==0){
		$CSS=" style=\"background-color:#E2E2E2\" ";
	}
?>
    <tr <?php echo $CSS;?> >
    <td ><?php echo $row[1]?></td>
    <td><?php echo vbl($row[2],20);?></td> 
    <td><?php echo vbl($row[3],44);?></td>
    <td><?php echo vbl($row[4],20);?></td>					 
    <td align="right"><?php echo $row[5]?></td>					 		
    </tr>
<?php
	}
?>		  
</tbody>
</table>
</div>

<!----------------------------------------->
<?php include("ocultos.php");?>

</form>

<form action="ficheroExcel.php" 
    method="post" target="_blank" id="FormularioExportacion" >
    
    <div style="position: absolute; left: 220px; top: 71px; width: 45px; height: 15px;">  
    <input name="" type="button" class="botonExcel btm" value="Exportar"  />
    <input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
    </div>
</form>

<?php
if($StrCmd=="GEN_PDF"){
	$_PDF=GEN_PDF($FF,$StrCod,$StrLin,$StrDes,$StrMar,$Fab,$Mod);
	$StrDESCARGAR=$_PDF;
}

function GEN_PDF($w,$StrCod,$StrLin,$StrDes,$StrMar,$Fab,$Mod){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"REPORTE DE PRODUCTOS",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------

if(strlen($StrCod)>0){
$_ENC=vbl("CODIGO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrCod.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrLin)>0){
$_ENC=vbl("LINEA.PRODUCTO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrLin.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($Fab)>0){
	$_ENC=vbl("FABRICANTE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($Fab.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($Mod)>0){
	$_ENC=vbl("MODELO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($Mod.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrMar)>0){
$_ENC=vbl("MARCA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrMar.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}
$pdf->Cell(0,4,"",0,1);	

//------------------------------------------
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);
$_ENC=vbl("CODIGO".vbfill(" ",8),8);
$_ENC=$_ENC." ".vbl("LINEA".vbfill(" ",15),15);
$_ENC=$_ENC." ".vbl("FABRICANTE".vbfill(" ",10),10);
$_ENC=$_ENC." ".vbl("MODELO".vbfill(" ",11),11);
$_ENC=$_ENC." ".vbl("DESCRIPCION".vbfill(" ",25),25);
$_ENC=$_ENC." ".vbr(vbfill(" ",8)."PV.MIN",8);
$_ENC=$_ENC." ".vbr(vbfill(" ",8)."PV.MAX",8);
$pdf->Cell(0,4,$_ENC,0,1);	
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
//
$s="SELECT ID,COD,LINEA,DESCRIPCION,FAB,FORMAT(PV_MIN,1),FORMAT(PV_MAX,1),MODELO 
	FROM vproductos WHERE $w ORDER BY DESCRIPCION";
$result = grs($s);
while ($row = $result->fetch_assoc()){
	$_ENC=vbl($row['COD'].vbfill(" ",8),8);
	$_ENC=$_ENC." ".vbl($row['LINEA'].vbfill(" ",15),15);
	$_ENC=$_ENC." ".vbl($row['FAB'].vbfill(" ",10),10);
	$_ENC=$_ENC." ".vbl($row['MODELO'].vbfill(" ",11),11);
	$_ENC=$_ENC." ".vbl($row['DESCRIPCION'].vbfill(" ",25),25);
	$_ENC=$_ENC." ".vbr(vbfill(" ",8).NF2($row[5],1),8);
	$_ENC=$_ENC." ".vbr(vbfill(" ",8).NF2($row[6],1),8);
	$pdf->Cell(0,4,$_ENC,0,1);	
}
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	


$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	

$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="Reporte de Productos.pdf";
$pdf->Output($PDF_NAME);		
return $PDF_NAME;
}
?>

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 128px; top: 102px; 
	  width: 88px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>
</div>
</div>
</body>
</html>
